Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.32
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.tomcat.util.net
Enum AprEndpoint.Handler.SocketState

    java.lang.Object
      java.lang.Enum<AprEndpoint.Handler.SocketState>
          org.apache.tomcat.util.net.AprEndpoint.Handler.SocketState

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AprEndpoint.Handler.SocketState>

Enclosing interface:
  AprEndpoint.Handler

    public static enum AprEndpoint.Handler.SocketState

extends java.lang.Enum<AprEndpoint.Handler.SocketState>

Enum Constant Summary
`CLOSED`
`LONG`
`OPEN`

Method Summary
`static AprEndpoint.Handler.SocketState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AprEndpoint.Handler.SocketState[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### OPEN

    public static final AprEndpoint.Handler.SocketState OPEN

### CLOSED

    public static final AprEndpoint.Handler.SocketState CLOSED

### LONG

    public static final AprEndpoint.Handler.SocketState LONG

Method Detail

### values

    public static final AprEndpoint.Handler.SocketState[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(AprEndpoint.Handler.SocketState c : AprEndpoint.Handler.SocketState.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static AprEndpoint.Handler.SocketState valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.32
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.